diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
index 923706f3..7fc72d5d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
@@ -546,7 +546,7 @@ class CastView(PGChildNodeView):
             if 'srctyp' in data and 'trgtyp' in data:
                 sql = render_template("/".join([self.template_path, 'create.sql']), data=data, conn=self.conn)
             else:
-                return u"-- incomplete definition", None
+                return u"-- definition incomplete", None
             return sql, data['srctyp'] + "->" + data["trgtyp"]
 
     @check_precondition
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index ea47797c..48ecadca 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -425,7 +425,7 @@ class CollationView(PGChildNodeView):
                 status=410,
                 success=0,
                 errormsg=gettext(
-                    "Incomplete definition. Please provide Locale OR Copy Collation OR LC_TYPE/LC_COLLATE"
+                    "Definition incomplete. Please provide Locale OR Copy Collation OR LC_TYPE/LC_COLLATE"
                 )
             )
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/js/collation.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/js/collation.js
index e4e3176d..119dae0c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/js/collation.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/js/collation.js
@@ -163,7 +163,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
             copy_coll_flag = true;
           }
           if (locale_flag && (lc_coll_flag || lc_coll_flag) && copy_coll_flag) {
-            msg = '{{ _('Incomplete definition, Please provide Locale OR Copy collation OR LC_TYPE/LC_COLLATE!') }}';
+            msg = '{{ _('Definition incomplete, Please provide Locale OR Copy collation OR LC_TYPE/LC_COLLATE!') }}';
             err['locale'] = msg
           }
           return null;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
index 2abce444..932f97f0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
@@ -688,7 +688,7 @@ class FtsConfigurationView(PGChildNodeView):
                                       conn=self.conn
                                       )
             else:
-                sql = u"-- incomplete definition"
+                sql = u"-- definition incomplete"
             return sql.strip('\n'), data['name']
 
     @check_precondition
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
index bc526af6..7a6342dd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
@@ -669,7 +669,7 @@ class FtsDictionaryView(PGChildNodeView):
                                       conn=self.conn
                                       )
             else:
-                sql = u"-- incomplete definition"
+                sql = u"-- definition incomplete"
             return sql.strip('\n'), data['name']
 
     @check_precondition
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
index 0f16dfd6..b11bfebe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
@@ -611,7 +611,7 @@ class FtsParserView(PGChildNodeView):
                     conn=self.conn
                 )
             else:
-                sql = "-- incomplete definition"
+                sql = "-- definition incomplete"
         return sql.strip('\n'), data['name']
 
     @check_precondition
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
index 78f20f18..e58ee256 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
@@ -570,7 +570,7 @@ class FtsTemplateView(PGChildNodeView):
                                       conn=self.conn
                                       )
             else:
-                sql = u"-- incomplete definition"
+                sql = u"-- definition incomplete"
             return sql.strip('\n'), data['name']
 
     @check_precondition
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
index 179d4a87..74c8208f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
@@ -1447,8 +1447,8 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
                 return internal_server_error(errormsg=res)
 
             # PostgreSQL truncates the table name to 63 characters.
-            # Have to truncate the name as like PostgreSQL to get the proper schema id 
-            CONST_MAX_CHAR_COUNT = 63 
+            # Have to truncate the name as like PostgreSQL to get the proper schema id
+            CONST_MAX_CHAR_COUNT = 63
             if len(data['name']) > CONST_MAX_CHAR_COUNT:
                 data['name'] = data['name'][0:CONST_MAX_CHAR_COUNT]
 
@@ -1823,7 +1823,7 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
                         else:
                             sql.append(
                                 gettext(
-                                    '-- incomplete definition for {0} constraint'.format(index_constraints[ctype])
+                                    '-- definition incomplete for {0} constraint'.format(index_constraints[ctype])
                                 )
                             )
         if len(sql) > 0:
@@ -1884,7 +1884,7 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
                     if not self.validate_constrains('foreign_key', c):
                         sql.append(
                             gettext(
-                                '-- incomplete definition for foreign_key constraint'
+                                '-- definition incomplete for foreign_key constraint'
                             )
                         )
                         return '\n\n'.join(sql)
@@ -1915,7 +1915,7 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
                     if not self.validate_constrains('foreign_key', c):
                         sql.append(
                             gettext(
-                                '-- incomplete definition for foreign_key constraint'
+                                '-- definition incomplete for foreign_key constraint'
                             )
                         )
                         return '\n\n'.join(sql)
@@ -2009,7 +2009,7 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
                     if not self.validate_constrains('check_constraint', c):
                         sql.append(
                             gettext(
-                                '-- incomplete definition for check_constraint'
+                                '-- definition incomplete for check_constraint'
                             )
                         )
                         return '\n\n'.join(sql)
@@ -2085,7 +2085,7 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
                     if not self.validate_constrains('exclude_constraint', c):
                         sql.append(
                             gettext(
-                                '-- incomplete definition for exclusion_constraint'
+                                '-- definition incomplete for exclusion_constraint'
                             )
                         )
                         return '\n\n'.join(sql)
@@ -2292,7 +2292,7 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
 
             for arg in required_args:
                 if arg not in data:
-                    return gettext('-- incomplete definition')
+                    return gettext('-- definition incomplete')
 
             # validate constraint data.
             for key in ['primary_key', 'unique_constraint',
@@ -2301,7 +2301,7 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
                 if key in data and len(data[key]) > 0:
                     for constraint in data[key]:
                         if not self.validate_constrains(key, constraint):
-                            return gettext('-- incomplete definition for {0}'.format(key))
+                            return gettext('-- definition incomplete for {0}'.format(key))
 
             # We will convert privileges coming from client required
             # in server side format
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/__init__.py
index a88970fb..19db8305 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/__init__.py
@@ -801,7 +801,7 @@ class ColumnsView(PGChildNodeView, DataTypeReader):
 
             for arg in required_args:
                 if arg not in data:
-                    return gettext('-- incomplete definition')
+                    return gettext('-- definition incomplete')
 
             # We will convert privileges coming from client required
             # in server side format
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
index 0d2e4fbc..2328f413 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
@@ -815,7 +815,7 @@ class IndexesView(PGChildNodeView):
                     err = True
                     # Check if we have at least one column
                 if err:
-                    return gettext('-- incomplete definition')
+                    return gettext('-- definition incomplete')
 
             # If the request for new object which do not have did
             SQL = render_template("/".join([self.template_path, 'create.sql']),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
index 6c4880f1..506e3541 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
@@ -869,7 +869,7 @@ class TriggerView(PGChildNodeView):
 
             for arg in required_args:
                 if arg not in data:
-                    return gettext('-- incomplete definition')
+                    return gettext('-- definition incomplete')
 
             # If the request for new object which do not have did
             SQL = render_template("/".join([self.template_path, 'create.sql']),
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
index b34e1457..86effed0 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
@@ -796,7 +796,7 @@ class TablespaceView(PGChildNodeView):
         for arg in required_args:
             if arg not in data:
                 return make_json_response(
-                    data=gettext("-- Incomplete definition"),
+                    data=gettext("-- definition incomplete"),
                     status=200
                 )
 
diff --git a/web/pgadmin/browser/templates/browser/js/messages.js b/web/pgadmin/browser/templates/browser/js/messages.js
index f8de9f3b..06873ce9 100644
--- a/web/pgadmin/browser/templates/browser/js/messages.js
+++ b/web/pgadmin/browser/templates/browser/js/messages.js
@@ -12,7 +12,7 @@ function(_, S, pgAdmin) {
     'CLICK_FOR_DETAILED_MSG': '{{ _('Click here for details.')|safe }}',
     'GENERAL_CATEGORY': '{{ _("General")|safe }}',
     'SQL_TAB': '{{ _('SQL') }}',
-    'SQL_INCOMPLETE': '{{ _('Incomplete definition') }}',
+    'SQL_INCOMPLETE': '{{ _('Definition incomplete') }}',
     'SQL_NO_CHANGE': '{{ _('Nothing changed')|safe }}',
     'MUST_BE_INT' : "{{ _("'%s' must be an integer.") }}",
     'MUST_BE_NUM' : "{{ _("'%s' must be a numeric.") }}",
